Bug 968532 - [RFE] request for newer version python-psycopg2 - rebase off upstream
[RFE] request for newer version python-psycopg2 - rebase off upstream
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: python-psycopg2 (Show other bugs)
6.4
All Linux
unspecified Severity low
: rc
: ---
Assigned To: Pavel Raiskup
qe-baseos-daemons
: FutureFeature, Rebase
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-29 16:07 EDT by jcpunk
Modified: 2013-10-18 03:57 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-18 03:35:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jcpunk 2013-05-29 16:07:07 EDT
Description of problem: I would like to utilize some of the more advanced connection options avalible to as part of 'connect' in nwerver versions.
In particular I would like the ability to use SSL or GSSAPI.  I believe support for these was added in psycopg-2.4.3 (current upstream is 2.5)

Version-Release number of selected component (if applicable): python-psycopg2-2.0.14-2.el6


How reproducible: always


Steps to Reproduce:
1. wish for SSL auth
2. wish for GSSAPI auth
3. find no way to do them in python-psycopg2

Actual results:
inability to do this auth

Expected results:
support for the same auth methods as postgresql.

Additional info:
http://initd.org/psycopg/
http://initd.org/psycopg/docs/news.html
Comment 1 Ondrej Vasik 2013-05-30 06:39:01 EDT
Thanks for the suggestion. If you want to increase chances for this package rebase, please raise your request through support channels ( https://www.redhat.com/support/process/production/#howto ) as update capacity is limited and prioritization is done based on the support cases.
Comment 2 Alon Bar-Lev 2013-08-07 09:41:29 EDT
More reason: current driver (python-psycopg2-2.0.14-2) fails to accept space and ':' characters in password.
Comment 7 Honza Horak 2013-10-17 10:47:15 EDT
As for rebasing request in order to have new features available in RHEL-6 -- there is already a new version of this package in python27 and python33 collections, which are parts of RHSCL 1.0. I'm not sure if this can solve your issues, but it should be mentioned here at least.
Comment 10 Pavel Raiskup 2013-10-18 03:35:33 EDT
Rebase of python-psycopg2 package would be risky process which could break lot
of user's applications written to work exactly with
python-psycopg2-2.0.14-2.el6 version (there may be small nuances but even
these will complicate a work a lot).

As Honza said in comment #7, we now ship sufficiently new psycopg2 module
packaged in software collections (version 2.4.5), which may help in some
scenarios.

If this issue is critical or in any way time sensitive, please raise a ticket
through your regular Red Hat support channels to make certain  it receives the
proper attention and prioritization to assure a timely resolution.

For information on how to contact the Red Hat production support team, please
visit:

https://www.redhat.com/support/process/production/#howto

Note You need to log in before you can comment on or make changes to this bug.